summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-06-15 23:16:40 +0200
committerMichał Górny <mgorny@gentoo.org>2021-06-15 23:32:39 +0200
commit946f6325e62a91e30e0142f91c9fc3428c4c4d3a (patch)
tree1e912e6ddd022e7081bd6267d07879cd38be17b5 /dev-python/httpcore
parentdev-python/phonenumbers: Bump to 8.12.25 (diff)
downloadgentoo-946f6325e62a91e30e0142f91c9fc3428c4c4d3a.tar.gz
gentoo-946f6325e62a91e30e0142f91c9fc3428c4c4d3a.tar.bz2
gentoo-946f6325e62a91e30e0142f91c9fc3428c4c4d3a.zip
dev-python/httpcore: Bump to 0.13.6
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/httpcore')
-rw-r--r--dev-python/httpcore/Manifest1
-rw-r--r--dev-python/httpcore/httpcore-0.13.6.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/dev-python/httpcore/Manifest b/dev-python/httpcore/Manifest
index 8e6badc51ed..a6800a518bf 100644
--- a/dev-python/httpcore/Manifest
+++ b/dev-python/httpcore/Manifest
@@ -3,3 +3,4 @@ DIST httpcore-0.13.0.tar.gz 58310 BLAKE2B 29ed4ad768088c6226ece27cb82e2a1d8df32e
DIST httpcore-0.13.1.tar.gz 58538 BLAKE2B 4c0b681f96fd64d17bc1974bdb74486fd336f84b27eda450d7de630c9f5dc2012ca91d10c4d0bcdaa06ff0e60d524993ab784721e4ffb55ff2848d68ea9ebb29 SHA512 ba410bf61e820016b061a8cd5a30b227bb75a78e90465459b2ff67dd76b9de9120d3b2474f6d8bb54698f627bb8801f2da5b3d85a4a41a0c5330d6bba8e10a49
DIST httpcore-0.13.2.tar.gz 59043 BLAKE2B c534c304b238837486b8a61860553475c87363b43842c9dad2629673c1d30c2f906f31658f6ff75bd9354040c08453c3d4ffe8bdf53077ca993399b93d68a57a SHA512 b032d56bc5bf4049d02ca2ddfaf66615a1ac2f0723291f82f9104a0d7f09d5eec710f9e1ac2082fa1e83ef7fa6fe4f5a6c7c28d660abd6803a990094c952834f
DIST httpcore-0.13.3.tar.gz 64246 BLAKE2B afc43122a5502770b6efe7052846926e25fa678dcbd5c8ddbcd806df36dcf684d94df12571efaab0ff1b657fef14d5d71dd902be5cbec12c61db13004d7fe5a9 SHA512 7ba6c2cb77c082bcdb8cdfad2bc17646ccc9348f49760150ec1070429f94913b2fb9eae6d3407b404581b48670b866bf11696453325dd70610bd700e94990450
+DIST httpcore-0.13.6.tar.gz 64716 BLAKE2B 6eadcaac626d4561dec2e41bdbde21836727f10870093890469e6b5a4af2aa276361044d08b5e25e3bf760092e5537edff9d0c99acb1ddf6ab0a17343bcd9af2 SHA512 52b6189763755dbbd762ad26fef0107ad50949c1dd4865db788317ce981079cc095161e543f1a455ce84138b51f89806d8c55267378574feced107675f6cde47
diff --git a/dev-python/httpcore/httpcore-0.13.6.ebuild b/dev-python/httpcore/httpcore-0.13.6.ebuild
new file mode 100644
index 00000000000..503d00d55c9
--- /dev/null
+++ b/dev-python/httpcore/httpcore-0.13.6.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A minimal low-level HTTP client"
+HOMEPAGE="https://www.encode.io/httpcore/"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ =dev-python/anyio-3*[${PYTHON_USEDEP}]
+ <dev-python/h11-0.13[${PYTHON_USEDEP}]
+ <dev-python/hyper-h2-5[${PYTHON_USEDEP}]
+ =dev-python/sniffio-1*[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # trio is not in the tree, anyio is causing tons of test failures
+ # (probably insisting on using trio)
+ sed -i 's/^@pytest.mark.\(anyio\|trio\)/@pytest.mark.skip/' \
+ tests/async_tests/test_*.py || die
+ sed -i '/^import trio/d' tests/utils.py || die
+ # pproxy is not in the tree, the associated fixture
+ # must be disabled to prevent errors during test setup
+ sed -i 's/def proxy_server().*/&\n pytest.skip()/' \
+ tests/conftest.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local skipped_tests=(
+ # Require Internet access or hypercorn (not in the tree)
+ tests/test_threadsafety.py::test_threadsafe_basic
+ tests/sync_tests/test_interfaces.py::test_http_request
+ tests/sync_tests/test_interfaces.py::test_https_request
+ tests/sync_tests/test_interfaces.py::test_http2_request
+ tests/sync_tests/test_interfaces.py::test_closing_http_request
+ tests/sync_tests/test_interfaces.py::test_connection_pool_get_connection_info
+ tests/sync_tests/test_interfaces.py::test_max_keepalive_connections_handled_correctly
+ tests/sync_tests/test_interfaces.py::test_explicit_backend_name
+ tests/sync_tests/test_interfaces.py::test_connection_timeout_tcp
+ tests/sync_tests/test_interfaces.py::test_broken_socket_detection_many_open_files
+ tests/sync_tests/test_retries.py::test_no_retries
+ tests/sync_tests/test_retries.py::test_retries_exceeded
+ tests/sync_tests/test_retries.py::test_retries_enabled
+ # Require hypercorn
+ tests/sync_tests/test_interfaces.py::test_connection_timeout_uds
+ )
+ epytest ${skipped_tests[@]/#/--deselect }
+}